#include <iostream>
using namespace std;
typedef long long ll;
inline int read(){
	int x=0; int flg=0; char ch=getchar();
	while(ch<'0' || ch>'9'){if(ch=='-') flg=1; ch=getchar();}
	while(ch>='0' && ch<='9') x=(x<<3)+(x<<1)+ch-48,ch=getchar();
	if(flg) return ~(x-1); return x;
}

inline void write(int x){
	int s[20]; int cnt=0;
	if(x<0) putchar('-'),x=~(x-1);
	while(x) s[++cnt]=x%10,x/=10;
	if(!cnt) cnt++;
	while(cnt) putchar(s[cnt--]+'0');
	putchar(' ');
}

int main(){
	freopen("query.in","r",stdin);
	freopen("query.out","w",stdout);
	
	return 0;
}
